<?php
// extends sfValidator
class myLoginValidator
{

    public function execute( $login, $password, $ct_captcha = null )
    {
        if( $ct_captcha )
        {
            //se valida primero la aptcha
        }
        return myUser::getUser()->signIn( $login, $password );
    }

    //Verifica si es un rol empresa y esta logueandose por primera vez
    public function preExecute( &$value, &$password, $ct_captcha )
    {

        $login = $value;

        return ( myUser::getUser()->validateIn( $login, $password, $ct_captcha ) );
    }

    //Verifica si es un rol empresa y esta logueandose por primera vez
    public function preChangePassIn( &$value, &$password, &$newpassword )
    {

        $login = $value;

        return ( myUser::getUser()->validateChangeIn( $login, $password, $newpassword ) );
    }
}
